/*
 * Class WEL_STM_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_170 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_170 [] = {0xFF01,1551,169,0xFFFF};
static const EIF_TYPE_INDEX egt_2_170 [] = {0xFF01,169,0xFFFF};
static const EIF_TYPE_INDEX egt_3_170 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_170 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_170 [] = {0xFF01,169,0xFFFF};
static const EIF_TYPE_INDEX egt_6_170 [] = {0xFF01,169,0xFFFF};
static const EIF_TYPE_INDEX egt_7_170 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_170 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_170 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_170 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_170 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_170 [] = {0xFF01,169,0xFFFF};


static const struct desc_info desc_170[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_170), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_170), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_170), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_170), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_170), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_170), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_170), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_170), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_170), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_170), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_170), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_170), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0153 /*169*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_170), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4380, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4381, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4382, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4383, 0xFFFFFFFF},
};
void Init170(void)
{
	IDSC(desc_170, 0, 169);
	IDSC(desc_170 + 1, 1, 169);
	IDSC(desc_170 + 32, 1632, 169);
}


#ifdef __cplusplus
}
#endif
